/*
 * Copyright (c) 2005-2007 Obeo
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Obeo - initial API and implementation
 */

package fr.obeo.acceleo.gen.template.eval.log;

import fr.obeo.acceleo.tools.log.IFailure;

/**
 * Template evaluation failures.
 * 
 * @author www.obeo.fr
 * 
 */
public class EvalFailure implements IFailure {

	/**
	 * Failure message.
	 */
	protected String message;

	/**
	 * Position in the generated text.
	 */
	protected int position = 0;

	/**
	 * Constructor.
	 * 
	 * @param message
	 *            is the failure message
	 */
	public EvalFailure(String message) {
		this.message = message;
	}

	/* (non-Javadoc) */
	public String getMessage() {
		return "EVAL : " + message;
	}

	/* (non-Javadoc) */
	public int position() {
		return position;
	}

	/* (non-Javadoc) */
	public String toString() {
		return "Position " + position() + " : " + getMessage();
	}

}
