/*
 * Copyright (c) 2005-2007 Obeo
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Obeo - initial API and implementation
 */

package fr.obeo.acceleo.gen.template.eval.log;

import org.eclipse.emf.ecore.EObject;

import fr.obeo.acceleo.ecore.factories.EFactory;
import fr.obeo.acceleo.ecore.factories.FactoryException;
import fr.obeo.acceleo.gen.template.Template;
import fr.obeo.acceleo.gen.template.eval.ENode;

/**
 * Traces an object evaluation.
 * 
 * @author www.obeo.fr
 * 
 */
public class Trace extends fr.obeo.acceleo.tools.log.Trace {

	/**
	 * It traces the beginning of an object evaluation.
	 * 
	 * @param object
	 *            is the evaluated object
	 * @param template
	 *            is the template used for the evaluation
	 */
	public static void traceTemplateEvaluateBegin(EObject object, Template template) {
		if (TRACE) {
			String naming = "";
			try {
				naming = EFactory.eGetAsString(object, "naming");
				if (naming == null) {
					naming = "";
				}
			} catch (FactoryException e) {
			}
			console("@ BEGIN EVAL type=" + object.eClass().getName() + " naming=" + naming + " template=" + template.toString());
			tab();
		}
	}

	/**
	 * It traces the ending of an object evaluation.
	 * 
	 * @param object
	 *            is the evaluated object
	 * @param template
	 *            is the template used for the evaluation
	 * @param eval
	 *            is the result of the template evaluation
	 */
	public static void traceTemplateEvaluateEnd(EObject object, Template template, ENode eval) {
		if (TRACE) {
			console("=> " + eval.toString());
			untab();
			String naming = "";
			try {
				naming = EFactory.eGetAsString(object, "naming");
				if (naming == null) {
					naming = "";
				}
			} catch (FactoryException e) {
			}
			console("@ END EVAL type=" + object.eClass().getName() + " naming=" + naming + " template=" + template.toString());
		}
	}

}
