/*
 * Copyright (c) 2005-2007 Obeo
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Obeo - initial API and implementation
 */

package fr.obeo.acceleo.gen.ui.editors.reflective.actions;

import org.eclipse.jface.resource.ImageDescriptor;

import fr.obeo.acceleo.gen.ui.AcceleoEcoreGenUiPlugin;
import fr.obeo.acceleo.gen.ui.editors.reflective.AcceleoReflectiveEditor;

/**
 * The action which generates the files for the current selected object. The
 * last target container is used before.
 * 
 * @author www.obeo.fr
 * 
 */
public class AcceleoSourceReGenerateHierarchyAction extends AcceleoSourceGenerateHierarchyAction {

	/**
	 * Constructor.
	 * 
	 * @param reflectiveEditor
	 *            is the reflective editor
	 */
	public AcceleoSourceReGenerateHierarchyAction(AcceleoReflectiveEditor reflectiveEditor) {
		super(reflectiveEditor, "ReGenerateHierarchyAction.label");
	}

	/* (non-Javadoc) */
	protected boolean forceOpenDialog() {
		return false;
	}

	/* (non-Javadoc) */
	public ImageDescriptor getImageDescriptor() {
		return AcceleoEcoreGenUiPlugin.getImageDescriptor("/icons/actions/refresh.gif");
	}

}
