/*
 * Copyright (c) 2005-2007 Obeo
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Obeo - initial API and implementation
 */

package fr.obeo.acceleo.gen.ui.editors.source;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Source editor messages and resource bundle.
 * 
 * @author www.obeo.fr
 * 
 */
public class AcceleoSourceEditorMessages {

	/**
	 * Resource bundle ID.
	 */
	private static final String RESOURCE_BUNDLE = "fr.obeo.acceleo.gen.ui.editors.source.AcceleoSourceEditorMessages";

	/**
	 * Resource bundle.
	 */
	private static ResourceBundle resourceBundle = ResourceBundle.getBundle(RESOURCE_BUNDLE);

	/**
	 * Constructor.
	 */
	private AcceleoSourceEditorMessages() {
	}

	/**
	 * Get message for the given key.
	 * 
	 * @param key
	 * @return message
	 */
	public static String getString(String key) {
		try {
			return resourceBundle.getString(key);
		} catch (MissingResourceException e) {
			return "!" + key + "!";
		}
	}

	/**
	 * @return resource bundle
	 */
	public static ResourceBundle getResourceBundle() {
		return resourceBundle;
	}

}
